// Importing required data files for the map
import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

// Importing required url of the country and its packages.
const jsonUrl = 'https://unpkg.com/us-atlas@3.0.0/states-10m.json';
export const useData = () => {
  const [data, setData] = useState(null);
// Creating the map very effective so that we can use it for our page.
  useEffect(() => {
    json(jsonUrl).then(topology => {
      const { states } = topology.objects;
      setData({
        land: feature(topology, states),
        interiors: mesh(topology, states, (a, b) => a !== b)
      });
    });
  }, []);

  return data;
};
